Subject: Re: [PATCH v3 0/4] Kill manual ref parsing code in worktree.c

From: Junio C Hamano <[email-masked]>
Date: Sat, 18 Mar 2017 10:49:57 -0700

Nguyễn Thái Ngọc Duy  <[email-masked]> writes:

> v3 is a rebased version on latest nd/files-backend-git-dir [1]. Since
> that series added a bunch of new refs_* functions, v2's 02/05 and
> 04/05 are removed. The new 01/04 could be an indepedent fix, but at
> test-ref-store.c requires it, so I put it here. More tests are added
> now that we have test-ref-store.c (yay!)

I think the corresponding ones were queued on a separate topic
nd/worktree-kill-parse-ref that is based on nd/files-backend-git-dir
but I do not mind making these 4 patches just part of the latter
topic.

Will send comments on individual patches separately.

Thanks.  

>
> [1] http://public-inbox.org/git/[email-masked]%3E/
>
> Nguyễn Thái Ngọc Duy (4):
>   environment.c: fix potential segfault by get_git_common_dir()
>   refs: introduce get_worktree_ref_store()
>   worktree.c: kill parse_ref() in favor of refs_resolve_ref_unsafe()
>   refs: kill set_worktree_head_symref()
>
>  branch.c                               |  15 ++---
>  environment.c                          |   2 +
>  refs.c                                 |  32 +++++++++++
>  refs.h                                 |  12 +---
>  refs/files-backend.c                   |  44 --------------
>  t/helper/test-ref-store.c              |  19 ++++++
>  t/t1407-worktree-ref-store.sh (new +x) |  52 +++++++++++++++++
>  worktree.c                             | 102 +++++++++------------------------
>  worktree.h                             |   2 +-
>  9 files changed, 143 insertions(+), 137 deletions(-)
>  create mode 100755 t/t1407-worktree-ref-store.sh